# Statement Templates Statement Templates ## Gets all of the statement templates in the system. - [GET /statementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/liststatementtemplates.md): This method will scan all statement templates and and return them to the caller. ## Creates a new statement template record that does not already exist. - [POST /statementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/createstatementtemplate.md): This method will auto-generate an ID and create a new statement template. If an ID is specified for the statement template, an error will be thrown. ## Execute Batch Operations - [POST /statementTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a statement template from the system by its ID. - [DELETE /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/deletestatementtemplate.md): This method will delete a statement template with the specified ID. ## Returns a statement template from the system by its ID. - [GET /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/getstatementtemplate.md): This method will look up a statement template by the specified ID and return it back. ## Partially updates a statement template with the specified ID. - [PATCH /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/patchstatementtemplate.md): This method will patch an existing statement template with the specified ID, using the HTTP PATCH specification. ## Updates a statement template with the specified ID. - [PUT /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/updatestatementtemplate.md): This method will update an existing statement template with the specified ID.